'' +--------------------------------------------------------------------------+
'' | SphinxOS   An Operating System for the Propeller Chip                    |
'' +--------------------------------------------------------------------------+
'' |                     HUB DEFINITIONS                                      |
'' +--------------------------------------------------------------------------+
'' |  License            MIT License                                          |
'' +--------------------------------------------------------------------------+
'' RR20100216   Seperate file: by Cluso99   (v0.002)
'' RR20100217   Currently StdOut, StdIn, SDSPI/SXFS2/SXFS, METADATABUFFER are position dependant !!!
'' RR20100224   Add constants _cols, _rows
con

'Hub Rendezvous locations...
'  _HubTop       = $8000       - 1 * 4    'stores the top of hub used (for max avail user hub)
  _StdOut       = $8000       - 1 * 4    'standard output rendezvous
  _StdIn        = _StdOut     - 1 * 4    'standard input  rendezvous
  _SDSPI        = _StdIn      - 3 * 4    '3 rendezvous variables \ fsrw routines
  _SXFS2        = _SDSPI      - 4 * 4    '4 rendezvous variables |
  _SXFS         = _SXFS2      - 4 * 4    '4 rendezvous variables |
  _SDbuffer     = _SXFS       - 512      'buffer                 /
  _AuxOut       = _SDbuffer   - 1 * 4    'auxilary output rendezvous
  _AuxIn        = _AuxOut     - 1 * 4    'auxilary input  rendezvous
  _User1        = _AuxIn      - 1 * 4    'user 1          rendezvous
  _User2        = _User1      - 1 * 4    'user 2          rendezvous
  _User3        = _User2      - 1 * 4    'user 3          rendezvous
  _User4        = _User3      - 1 * 4    'user 4          rendezvous
  _Screen       = _User4      - 2048     'screen text buffer 80*25=2000 (48 undefined for now)
  _FreeBelow    = _Screen                'to be set into _HubTop

'  _free = ($8000 - METADATABUFFER) / 4          '??? what does this do? and is it in error?
'  _free = METADATABUFFER / 4                    'should it be this?

'Currently ALL the following is position dependant (for older compatibility)
  SDSPIRENDEZVOUS   = _SDSPI             '3 rendezvous variables \ fsrw routines
  SXFS2RENDEZVOUS   = _SXFS2             '4 rendezvous variables |
  SXFSRENDEZVOUS    = _SXFS              '4 rendezvous variables |
  METADATABUFFER    = _SDbuffer          'buffer                 /

'Other constants
  _cols         = 40
  _rows         = 25

  
PUB dummy